summaryrefslogtreecommitdiff
path: root/scripts/add_ip
diff options
context:
space:
mode:
authorNick <nick@somerandomnick.ano>2010-05-12 21:29:59 +0000
committerNick <nick@somerandomnick.ano>2010-05-12 21:29:59 +0000
commit91a8cee50c9cce580534b8cc6ca31265029ef6d2 (patch)
treefc51d8743dd321d3896e60700ae0db0fed53fd01 /scripts/add_ip
parentd895d7d758ee8a26dac6c9ccae4f55c5624f17d1 (diff)
downloadresdb-91a8cee50c9cce580534b8cc6ca31265029ef6d2.tar.gz
resdb-91a8cee50c9cce580534b8cc6ca31265029ef6d2.zip
scripts for dom&ip, dn42 resdb, and doc (www.anonet2.org)
Diffstat (limited to 'scripts/add_ip')
-rwxr-xr-xscripts/add_ip24
1 files changed, 24 insertions, 0 deletions
diff --git a/scripts/add_ip b/scripts/add_ip
new file mode 100755
index 0000000..0d7d87c
--- /dev/null
+++ b/scripts/add_ip
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+if [ x"$2" = x ]; then
+ echo "Usage: $0 <cidr> <owner> [<ns[/nsip]>...]" >&2; exit 255
+fi
+
+cidr="$1"
+hex="$(./scripts/cidr2hex "$cidr")"
+dir=db/ip/"$hex"
+if [ -e "$dir" ]; then
+ echo "Refusing to clobber existing record" >&2; exit 1
+fi
+mkdir -p "$dir" || exit 1
+echo "$cidr" > "$dir"/cidr
+echo "$2" > "$dir"/owner
+mkdir "$dir"/ns || exit 1
+shift; shift;
+while [ x"$1" != x ]; do
+ echo "$1" | tr / ' ' | (
+ read ns nsip
+ echo "$nsip" > "$dir/ns/$ns"
+ )
+ shift;
+done